using System;
public class A_pecina
{
    public static void Main(string[] args)
    {
        string[] linija1 = Console.ReadLine().Split(' ');
        int n = int.Parse(linija1[0]);
        int visinaPerice = int.Parse(linija1[1]);

        string[] linija2 = Console.ReadLine().Split(' ');

        int[] visine = new int[n];
        for (int i = 0; i < n; i++)
        {
            visine[i] = int.Parse(linija2[i]);
        }

        int izlaz = -1;

        for (int i = 0; i < n; i++)
        {
            if (visinaPerice >= visine[i])
            {
                izlaz = i + 1;
                break;
            }
        }

        Console.WriteLine(izlaz);

    }
}